org.apache.ignite.internal.processors.cache.distributed.dht

## Class NearTxResultHandler

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.distributed.dht.NearTxResultHandler

All Implemented Interfaces:
  Serializable, CI1<IgniteInternalFuture<GridCacheReturn>>, IgniteInClosure<IgniteInternalFuture<GridCacheReturn>>

    public final class NearTxResultHandler
    extends Object
    implements CI1<IgniteInternalFuture<GridCacheReturn>>

Response factory.

See Also:
  Serialized Form

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `apply(IgniteInternalFuture<GridCacheReturn> fut0)` Closure body.
`static GridNearTxEnlistResponse` `createResponse(GridDhtTxEnlistFuture fut)` Response factory method.
`static <T> T` `createResponse(IgniteInternalFuture<?> future)` Response factory method.
`static NearTxResultHandler` `instance()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### instance

    public static NearTxResultHandler instance()

Returns:
  Handler instance.

#### createResponse

    public static <T> T createResponse(IgniteInternalFuture<?> future)

Response factory method.

Parameters:
  `future` - Enlist future.
Returns:
  Enlist response.

#### createResponse

    public static GridNearTxEnlistResponse createResponse(GridDhtTxEnlistFuture fut)

Response factory method.

Parameters:
  `fut` - Enlist future.
Returns:
  Enlist response.

#### apply

    public void apply(IgniteInternalFuture<GridCacheReturn> fut0)

Closure body.

Specified by:
  `apply` in interface `IgniteInClosure<IgniteInternalFuture<GridCacheReturn>>`
Parameters:
  `fut0` - Closure argument.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022